This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 476162 - Freedroidrpg doesn't require coreutils for its post install and uninstall scripts
Freedroidrpg doesn't require coreutils for its post install and uninstall scr...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: freedroidrpg (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Wart
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 00:54 EST by Bruno Wolff III
Modified: 2009-01-04 01:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 01:58:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2008-12-12 00:54:32 EST
Description of problem:
freedroidrpg uses 'touch' (from coreutils) in its post install and uninstall scripts without do a requires. This can cause errors during fresh installs and livecd builds depending on the actual install order used.
To fix this include the following in the spec file:
Requires(post): coreutils
Requires(postun): coreutils

Version-Release number of selected component (if applicable):
freedroidrpg-0.10.3-2.fc9.i386

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Wart 2008-12-22 01:58:30 EST
Fixed in Rawhide; update for F10 pending.
Comment 2 Bruno Wolff III 2009-01-04 01:07:31 EST
Just confirming that I am no longer seeing the install issue in rawhide.

Note You need to log in before you can comment on or make changes to this bug.